Subject: bug#15260: cannot build in a directory with non-ascii characters

From: Stefan Monnier <[email-masked]>
Date: Sun, 27 Oct 2013 00:28:36 -0400

> But here's where things get hairy: when temacs starts, preloaded Lisp
> files are not yet loaded, and consequently file-name-coding-system and
> default-file-name-coding-system are both nil.  In such a case,
> currently DECODE_FILE is a no-op.

I don't understand why it wouldn't work to just treat those strings as
"binary" (i.e. keep them undecoded in unibyte strings).  Then encoding
would be a noop and that should hence end up in the right byte-sequence
sent to the OS primitives.

        Stefan